﻿//#define TEST

using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace TestGridViewColumEx
{
    public partial class MainWindowTest : MainWindowBase
    {
        #region Profils
        private string[] _Profils = new string[]
        {
            "alpha",
            "beta",
            "gamma",
        };
        public string[] ProfilsX
        {
            get => _Profils;
            set
            {
                _Profils = value;
                OnPropertyChanged("ProfilsX");
            }
        }
        #endregion

        #region SelectedProfilX
        private string _SelectedProfilX = null;
        public string SelectedProfilX
        {
            get => _SelectedProfilX;
            set
            {
                _SelectedProfilX = value;
                OnPropertyChanged("SelectedProfilX");
                btp.IsChecked = false;
                //popup.IsOpen = false;
            }
        }
        #endregion

        public MainWindowTest() : base() => InitializeComponent();       
    }
}
