﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Markup;

namespace TestGridViewColumEx
{
    public class ProfilTextConverter : MarkupExtension, IValueConverter
    {
        public object Convert(object value, Type targetType,
            object parameter, CultureInfo culture) => (string)value switch
            {
                "a" => "Alpha",
                "b" => "Beta",
                "c" => "Gamma",
            };

        public object ConvertBack(object value, Type targetType, 
            object parameter, CultureInfo culture) => throw new NotImplementedException();

        public override object ProvideValue(IServiceProvider serviceProvider) => this;
    }
}

