﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace TestGridViewColumEx
{
    public static class DependencyPropertyKeyExtension
    {
        public static void SetDependencyPropertyKeyValue(this Type type, string propertyKey,
            DependencyObject dpo, object value)
        {
            var fi = type.GetField(propertyKey,
               BindingFlags.NonPublic | BindingFlags.Instance | BindingFlags.Static);
            DependencyPropertyKey dp = fi.GetValue(dpo) as DependencyPropertyKey;
            dpo.SetValue(dp, value);
        }
    }
}
